﻿using VisualCompLib.Components.SupportClasses.Enums;

namespace VisualCompLib.Components.SupportClasses
{
	public class SimpleLineChart
	{
		public string FilePath = string.Empty;

		public string FileHeader = string.Empty;

		public string LineChartName = string.Empty;

		public EnumAreaLegend AreaLegend;

		public List<DataLineChart> DataList = new();

		public SimpleLineChart(string filePath, string fileHeader, string lineChartName, EnumAreaLegend areaLegend, List<DataLineChart> dataList)
		{
			FilePath = filePath;
			FileHeader = fileHeader;
			LineChartName = lineChartName;
			AreaLegend = areaLegend;
			DataList = dataList;
		}
	}
}
